From: Florian Schanda <florian.schanda@altran-praxis.com>
Date: Tue, 15 Mar 2011 20:00:05 +0000
Subject: SWI compatible save goals for simplifier
Origin: upstream
--- a/simplifier/simplifier.pro
+++ b/simplifier/simplifier.pro
@@ -205,8 +205,8 @@
 % The following are for building with SWI
 
 swisav_simplifier:-
-    report_total_defects,
-    qsave_program('spadesimp', [autoload(true), goal(simplifier_main), stand_alone(true)]),
+    zero_defects_reported,
+    qsave_program('spadesimp', [autoload(true), goal(simplifier_main), stand_alone(false)]),
     halt(0).
 
 swisav_simplifier:-
@@ -214,8 +214,8 @@
     halt(1).
 
 swisav_zombiescope:-
-    report_total_defects,
-    qsave_program('zombiescope', [autoload(true), goal(simplifier_main), stand_alone(true)]),
+    zero_defects_reported,
+    qsave_program('zombiescope', [autoload(true), goal(simplifier_main), stand_alone(false)]),
     halt(0).
 
 swisav_zombiescope:-
